---
title: '<bgsound>: The Background Sound element (obsolete)'
slug: Web/HTML/Element/bgsound
tags:
  - Audio
  - Background Sound
  - Element
  - HTML
  - Internet Explorer
  - Non-standard
  - Obsolete
  - Reference
  - Web
---
<div>{{obsolete_header}}{{non-standard_header}}</div>

<p><span class="seoSummary">The Internet Explorer only <strong>HTML Background Sound element</strong> (<strong><code>&lt;bgsound&gt;</code></strong>) sets up a sound file to play in the background while the page is used; use {{HTMLElement("audio")}} instead.</span></p>

<div class="note">
<p><strong>Do not use this!<em> </em></strong>In order to embed audio in a Web page, you should be using the {{HTMLElement("audio")}} element.</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{htmlattrdef("balance")}}</dt>
 <dd>This attribute defines a number between -10,000 and +10,000 that determines how the volume will be divided between the speakers.</dd>
 <dt>{{htmlattrdef("loop")}}</dt>
 <dd>This attribute indicates the number of times a sound is to be played and either has a numeric value or the keyword infinite.</dd>
 <dt>{{htmlattrdef("src")}}</dt>
 <dd>This attribute specifies the URL of the sound file to be played, which must be one of the following types: .wav, .au, or .mid.</dd>
 <dt>{{htmlattrdef("volume")}}</dt>
 <dd>This attribute defines a number between -10,000 and 0 that determines the loudness of a page's background sound.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:html">&lt;bgsound src="sound1.mid"&gt;

&lt;bgsound src="sound2.au" loop="infinite"&gt;
</pre>

<h2 id="Usage_notes">Usage notes</h2>

<p>Historically, the {{HTMLElement("embed")}} element could be used with audio player plug-ins to play audio in the background in most browsers. However, even this is no longer appropriate, and you should use <code>&lt;audio&gt;</code> instead, since it's more capable, more compatible, and doesn't require plug-ins.</p>

<p>You can write <code>&lt;bgsound&gt;</code> as a self-closing tag (<code>&lt;bgsound /&gt;</code>); however, since this element is non-standard, doing so will still not validate.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.bgsound")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{htmlelement("audio")}}, which is the standard element to embed audio in a document.</li>
</ul>

<div>{{HTMLRef}}</div>
